summaryrefslogtreecommitdiffstats
path: root/system/motion/motion.SlackBuild
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2012-09-19 21:18:45 +0200
committer Robby Workman <rworkman@slackbuilds.org>2012-09-19 20:30:02 -0500
commit7a27d22bbcfc963e6b9d9f9605806237a50f69ac (patch)
tree715959f268ae1cd80ce7553419550735c71ac8eb /system/motion/motion.SlackBuild
parent1a2ff195f966e0fe54374acba6a8eaf88e706dc1 (diff)
downloadslackbuilds-7a27d22bbcfc963e6b9d9f9605806237a50f69ac.tar.gz
slackbuilds-7a27d22bbcfc963e6b9d9f9605806237a50f69ac.tar.xz
system/motion: Updated for version 20120717_0fb31d6, cleanups.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system/motion/motion.SlackBuild')
-rw-r--r--system/motion/motion.SlackBuild24
1 files changed, 11 insertions, 13 deletions
diff --git a/system/motion/motion.SlackBuild b/system/motion/motion.SlackBuild
index 169f935892..d48cc14013 100644
--- a/system/motion/motion.SlackBuild
+++ b/system/motion/motion.SlackBuild
@@ -24,7 +24,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=motion
-VERSION=3.2.12
+VERSION=20120717_0fb31d6
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -34,9 +36,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -56,7 +55,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -78,19 +77,18 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# Let's not clobber the config file
mv $PKG/etc/motion-dist.conf $PKG/etc/motion-dist.conf.new
-mv $PKG/usr/share/doc $PKG/usr/doc
-mv $PKG/usr/share/$PRGNAM-$VERSION/examples $PKG/usr/doc/$PRGNAM-$VERSION/
+mkdir $PKG/usr/doc
+mv $PKG/usr/share/doc/motion-* $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/$PRGNAM-*/examples $PKG/usr/doc/$PRGNAM-$VERSION/
rm -rf $PKG/usr/share # We moved the docs from there
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild